Page MenuHomePhabricator

sidedata: register copies sidedata computer regardless of the revlog version
ClosedPublic

Authored by Alphare on Apr 9 2021, 4:49 AM.

Details

Summary

Repositories should not gate their sidedata computers based on any requirement,
only their wanted sidedata. A repository might need to generate sidedata wanted
by the peer that it itself does not want.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

Alphare created this revision.Apr 9 2021, 4:49 AM
marmoute accepted this revision.Apr 9 2021, 5:59 AM
marmoute added a subscriber: marmoute.

(maybe explain why in your description, the behavior is already "encoded" in the patch)

Alphare edited the summary of this revision. (Show Details)Apr 10 2021, 3:14 PM
Alphare planned changes to this revision.Apr 20 2021, 7:51 AM

I will rebase this entire series on the one starting at D10353, that way the patches are already nice and clean and we don't risk a functional conflict when those patches land.

marmoute accepted this revision.Apr 22 2021, 1:38 PM
baymax updated this revision to Diff 27297.May 3 2021, 6:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27447.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.